Package wx :: Package lib :: Package mixins :: Module listctrl :: Class ListCtrlAutoWidthMixin

[frames | no frames]

## Class ListCtrlAutoWidthMixin

A mix-in class that automatically resizes the last column to take up the remaining width of the wx.ListCtrl.

This causes the wx.ListCtrl to automatically take up the full width of the list, without either a horizontal scroll bar (unless absolutely necessary) or empty space to the right of the last column.

NOTE: This only works for report-style lists.

WARNING: If you override the EVT_SIZE event in your wx.ListCtrl, make
  sure you call event.Skip() to ensure that the mixin's _OnResize method is called.

This mix-in class was written by Erik Westra <ewestra@wave.co.nz>

Method Summary
| ``__init__`(self)` Standard initialiser.
| `resizeColumn(self, minWidth)`
| ``resizeLastColumn`(self, minWidth)` Resize the last column appropriately.
| ``setResizeColumn`(self, col)` Specify which column that should be autosized.

Method Details

### __init__(self)
(Constructor)

Standard initialiser.

### resizeLastColumn(self, minWidth)

Resize the last column appropriately.

If the list's columns are too wide to fit within the window, we use a horizontal scrollbar. Otherwise, we expand the right-most column to take up the remaining free space in the list.

This method is called automatically when the wx.ListCtrl is resized; you can also call it yourself whenever you want the last column to be resized appropriately (eg, when adding, removing or resizing columns).

'minWidth' is the preferred minimum width for the last column.

### setResizeColumn(self, col)

Specify which column that should be autosized. Pass either 'LAST' or the column number. Default is 'LAST'.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:42 2007 | http://epydoc.sf.net